/*
 * Copyright (c) 2022 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __TIZEN_MEDIAVISION_MV_FACE_RECOGNITION_TYPE_H__
#define __TIZEN_MEDIAVISION_MV_FACE_RECOGNITION_TYPE_H__

#include <mv_common.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/**
 * @file   mv_face_recognition_type.h
 * @brief  This file contains the face recognition handle for Mediavision.
 */

/**
 * @addtogroup CAPI_MEDIA_VISION_FACE_RECOGNITION_MODULE
 * @{
 */

/**
 * @brief The face recognition object handle.
 *
 * @since_tizen 7.0
 */
typedef void *mv_face_recognition_h;

/**
 * @}
 */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __TIZEN_MEDIAVISION_MV_FACE_RECOGNITION_TYPE_H__ */
